#include "Game.h"
#include "cGameOverWin.h"
#include "resource.h"

cGameOverWin::cGameOverWin(){

}

cGameOverWin::~cGameOverWin(){

}

BOOL cGameOverWin::RegisterClass(){
	return cWindow::RegisterClass(
		"GameOver", 
		CS_HREDRAW | CS_VREDRAW, 
		LoadIcon(*GetGameApp(), MAKEINTRESOURCE(IDR_GAMEAPP)),
		LoadCursor(NULL, MAKEINTRESOURCE(IDC_ARROW)),
		(HBRUSH)GetStockObject(BLACK_BRUSH));
}

//////////////////////////////////////////////////////////////////////
// Window Prodedure
//////////////////////////////////////////////////////////////////////

LRESULT cGameOverWin::Proc(UINT uMsg, WPARAM wParam, LPARAM lParam){
	switch(uMsg){
	case WM_CREATE:
		if(!OnCreate(wParam, lParam))
			return -1;
		return 0;
	case WM_DESTROY:
		OnDestroy(wParam, lParam);
		return 0;
	case WM_PAINT:
		OnPaint(wParam, lParam);
		return 0;
	}
	return DefProc(uMsg, wParam, lParam);
}


BOOL cGameOverWin::OnCreate(WPARAM wParam, LPARAM lParam){
	return TRUE;
}

void cGameOverWin::OnDestroy(WPARAM wParam, LPARAM lParam){
}

void cGameOverWin::OnPaint(WPARAM wParam, LPARAM lParam){
	PAINTSTRUCT ps;
	HDC hdc;
	hdc = BeginPaint(&ps);
	TextOut(hdc, 0, 0, "GameOverWin");
	EndPaint(&ps);
}